# Snapscan.... Help!

From: John Coppens (jcoppens@linux2.uccor.edu.ar)
Date: Mon Dec 18 2000 - 08:07:42 PST

- Next message: John Hunter: "save 1.0.3 compile problem w/ gimp compat"
  - Previous message: Rene Rebe: "Re: xsane-win32 0.67 and copy mode works"
  - Next in thread: Sebastien Sable: "Re: Snapscan.... Help!"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  Hi...

  I'm near desperation. Also, I'm frustrated, as everything seems to be ok, still
  I cannot scan.

  Short:
  -Scanner is connected.
  -Device (dev/usbscanner) is created
  -Firmware was uploaded and confirmed
  -scanimage (any parameters) reports no SANE devices

  Logs:
  ----Agfafirm reports:
  Scanner Information (from scanner)
  Vendor: AGFA
  Version: 1.30
  Model: SNAPSCAN 1212U_2
  Firmware date: Mon Jun 14 1999 12:48

  ----dmesg reports:
  usb.c: registered new driver usbscanner
  scanner.c: probe_scanner: User specified USB scanner -- Vendor:Product - 6bd:2061
  usb.c: usbscanner driver claimed interface c18275c0
  scanner.c: USB Scanner support registered.

  ----proc says:
  C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr= 0mA
  I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub
  E: Ad=81(I) Atr=03(Int.) MxPS= 8 Ivl=255ms
  T: Bus=01 Lev=01 Prnt=01 Port=01 Cnt=01 Dev#= 2 Spd=12 MxCh= 0
  D: Ver= 1.00 Cls=ff(vend.) Sub=ff Prot=ff MxPS= 8 #Cfgs= 1
  P: Vendor=06bd ProdID=2061 Rev= 1.1e
  S: Manufacturer=AGFA
  S: Product= Snapscan1212u_2
  C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=100mA
  I: If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=ff Prot=ff Driver=usbscanner
  E: Ad=81(I) Atr=02(Bulk) MxPS= 64 Ivl= 0ms
  E: Ad=02(O) Atr=02(Bulk) MxPS= 8 Ivl= 0ms
  E: Ad=83(I) Atr=03(Int.) MxPS= 8 Ivl= 16ms

  Any suggestions as to what to do? I am particularly confused as to those messages
  which mention the necessity for SCSI. SCSI generic support is compiled in, as I
  need it for CD-RW and for a ZIP drive. But do I have to use a SCSI device (which one?)
  or usbscanner (used this)

  John

      --
      --
      Source code, list archive, and docs: http://www.mostang.com/sane/
      To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

  - Next message: John Hunter: "save 1.0.3 compile problem w/ gimp compat"
  - Previous message: Rene Rebe: "Re: xsane-win32 0.67 and copy mode works"
  - Next in thread: Sebastien Sable: "Re: Snapscan.... Help!"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  This archive was generated by hypermail 2b29 : Mon Dec 18 2000 - 07:57:44 PST